Skip to content

Proton Mail & Calendar

2290 results found

  1. Add Advanced Sieve Extensions: Mailbox, Notifications, Body Filtering...

    Proton Mail's Sieve implementation is missing several powerful RFC-standard extensions that would unlock advanced email automation.

    Here are the key missing features: Mailbox Creation and Checking (RFC5490, RFC9042) - Automatically create folders and organize emails by sender domain without manual setup.

    Notifications (RFC5435/RFC5436) - Send SMS or email notifications when specific emails arrive instead of just filing them.

    Body Content Filtering (RFC5173) - Filter emails based on message body content, not just headers, for smarter spam detection.

    Edit Headers (RFC5293) - Modify or add custom headers to emails as they arrive.

    File Carbon Copy (RFC8580) - Keep automatic copies of…

    16 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    3 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  2. Security or biometric lock for calendar

    The only phone app that doesn't have a security lock in order to access (once already logged in) is the calendar. Assuming the worst and a bad actor steals your device and gets access to the phone, they have unfettered access to the calendar. Piecing data together via the calendar (data aggregation) can quickly compromise a person's identity, their circle of friends/associates, patterns, whereabouts on given days and times, etc. Having a security or biometric lock on the calendar helps add another level of OPSEC.

    16 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    2 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  3. Unlimited custom‑domain forwarding for paid Proton Unlimited Mail accounts

    Unlimited custom‑domain forwarding for paid Proton Mail accounts
    Brief request
    Since switching to Proton Mail, I’ve noticed a missing feature: the ability to forward an unlimited number of addresses from my own domain (e.g., whatever@mydomain.com).
    Currently, for Proton Unlimited, each forwarding address must be one of the 15 “authorized” addresses listed in the account settings. For a paid plan this restriction feels annoying.

    Your strategy, is may be to push people to subscribe for Proton Family, which has a limit of 90 adresses e-mail/alias. But come on, you push too far.

    Detailed description
    I would like to be able to
    …
    16 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  4. Filter search ability

    When searching through the proton mail filters, you could search and see if you have duplicate entries, or say you want to add an entry to an existing filter, but are unsure if you may already have it already.

    16 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    3 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  5. Feature request: ability to change main account address

    Hello,

    currently, in Proton Mail, it’s not possible to delete the email address used during the registration process. It would be very useful to have the option to switch the entire account to a different primary address, and remove the original one if it’s no longer needed.

    This would give users more flexibility in managing their online identity, for example when the original address becomes obsolete or no longer fits their current needs.

    16 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    0 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  6. Event cancellation and rescheduling.

    When an appointment or event is cancelled or rescheduled I often need a record of the originally scheduled day and time.

    At minimum I would like the ability to add strikethrough text to the event title, so that I know that the event was cancelled.

    Ideally I would like a cancel button (next to the delete and edit buttons) that strikes the event title and turns off notifications, and asks if I would like to reschedule. If I reschedule, it will duplicate the original event and allow me to set a new date (and modify the other settings, if needed).…

    16 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    2 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  7. Apply actions (apply label, delete, archive) to all results

    I imported a lot of mails from gmail and I would like to do some merging and reorganizing of labels.
    But for this, I would need the ability to do actions (apply label, delete, archive, move to folder, etc) on all the result of a search.
    Since the main criteria I would need is existing labels, I can't seem to use Sieve filter for this, so I would like to be apply to select a label or any other search and apply labels on all the results rather than page by page currently.

    16 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  8. Calendar default notification customisation

    Within settings for new Calendar Events, allow the default notification medium (email / notification etc.) be set and duration.

    16 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    3 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  9. Text formatting for Android App (Bullets, Bold/Underline/Italics, etc)

    ProtonMail on Android desperately NEEDS text formatting.

    It's actually unbelievable this isn't already a feature for a paid service. I don't know of any other prominent email provider that doesn't have formatting as a feature. This is a very basic feature for an email service, I hate that I have to draft emails in a separate app and then paste them into Proton. It's also frustrating knowing that the web browser version and Proton Drive documents apps have formatting, but the email app does not.

    Very disappointed in this and the lack of any communication from Proton showing they are…

    15 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  10. Block off unavailable days across all booking pages

    Use case: I have multiple booking pages in Proton Cal. I am traveling out of town for 9 days. How do I quickly tell my booking pages to block off that 9 day period as unavailable? There's currently no way I can see how to turn off days other than creating events to block out that time.

    Booking all day events for 9 days would be annoying, and what if I go away for a month? Then I'd need to create 30 all day events? Would be good to have a button built into the calendar maybe close to booking…

    15 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    0 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  11. Resize New Message/Composer Window

    Allow the user to resize and position the new message window. You can do this in Apple Mail. You resize and position it once and then it opens that way from then on. Composer/Normal is too small and too far to the right. Composer/Maximized is too big and too far to the left. Or add a third Composer medium/center option.

    Also when you minimze the mail window the new message window should be there so you can more easily drag and drop photos and documents from your desktop into the message. (It works this way in Apple Mail.)

    15 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    1 comment  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  12. Proton Mail and Calendar Bridge for iOS

    My work HIPAA compliant encrypted email through Microsoft exchange works with apple's mail and calendar apps, so I don't necessarily understand why that couldn't be the same for Proton, especially if it just works through a device management profile like how desktop proton bridge works for the apple mail app.

    I am not asking this because I think there's something inherently wrong with the Proton mobile apps, I am asking because I would like one app where I can view all of my inboxes together (same for calendar). I personally have my personal proton mail inboxes as well as Microsoft…

    15 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    2 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  13. Virus Scan for Attachments

    Gmail scans attachments in e-mails for viruses and other malware. It would be nice if Proton was able to scan attachments in e-mails for viruses so we don't accidentally download an infected file.

    15 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    2 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  14. Mail App - Move mail to Folder - implement search function

    On Proton Mail Android App: When I want to move a mail to a specific folder, I need to scroll through all of them. It would be nice if a search bar appears where I can search for a specific folder. Yes, I have plenty of folders. :)

    15 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  15. Quick Reactions to Emails

    It would be great to have a feature similar to message reactions in chat apps, for example, being able to quickly tap an icon (like 👍 or ❤️) to react to an email without writing a full reply.

    Microsoft Outlook already includes this, and it’s great for acknowledging messages or quick feedback without having to write a full reply.

    For Proton Mail users, the reaction could appear inline (e.g., “Recipient liked this email”).
    For other email providers, Proton could send a short, automatically generated message such as:
    “[Username] reacted to your email with 👍.”

    15 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    4 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  16. Compact view

    After seeing the new layout for the Android app, it looks like a good improvement, but there is something that I think is missing: a compact view. I do not nneed to see the attachments, a clip is enough. I do not need so big labels.
    If space is used for sender and subject alone, more mails fit into the screen.

    15 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    4 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  17. Ability to Mark Emails as Newsletters and Train Model by Sender

    Currently, there is no way to manually mark an email as a "Newsletter" in Proton Mail. It would be very helpful to have an option )for example, in the "Move to" menu or right-click actions) that allows users to:

    • Mark an email as a Newsletter
    • Automatically train the system to recognize the sender
    • Have future emails from the same sender automatically moved to the Newsletter section,

    This would give users more control, reduce manual sorting, help keep their inbox organized, and minimize clutter from recurring promotional or subscription-based emails.

    15 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    3 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  18. Urgent feature for mails

    Option to make an email urgent and with exclamation mark

    15 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    5 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  19. use artificial intelligence to add calendar events

    AI-Driven Calendar Management via Text Prompt

    This feature allows you to manage your calendar using simple English commands via text prompt. Type in commands to:

    • Add Events: "Add meeting with John on Friday at 2 PM"
    • Update Events: "Reschedule meeting with John to 3 PM on Friday"
    • Remove Events: "Cancel meeting with John on Friday"
    • Change Time: "Move my team meeting to 10 AM tomorrow"
    • Add Attendees: "Add Sarah and Mike to the meeting on Friday at 2 PM"

    The AI-powered system understands natural language and executes the commands, keeping your calendar up-to-date and organized.

    Benefits

    • Convenience: Manage your calendar…
    15 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    0 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  20. Notification settings per label

    It would be great to be able to adjust notification settings for each label individually, i.e. for some labels I want to be notified but for others not.

    This is incredibly useful for people who happen to have a large amount of labels with some of them being critical but others not.

    15 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    2 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  • Don't see your idea?

Proton Mail & Calendar

Categories